﻿
@{
    ViewBag.Title = "Accounts";
}

<h2>Accounts</h2>
<div class="box wide">
    <a href="#" class="k-button" id="save">Save State</a>
</div>
@(Html.Kendo().Grid<Insights.Models.Adwords.KeywordFact>()
            .Name("grid")
            .Columns(columns =>
            {
                columns.Bound(product => product.AccountId);
                columns.Bound(product => product.AccountName).ClientTemplate(@"<a href='/Home/Campaigns/#: AccountId #'>#: AccountName #</a>");
                columns.Bound(product => product.Clicks);
                columns.Bound(product => product.Cost);
                columns.Bound(product => product.Revenue);

            })
            .Sortable()
            .Pageable(pageable => pageable
                .Refresh(true)
                .PageSizes(true)
                .ButtonCount(5)) //Enable the paging.
            .Sortable() //Enable the sorting.
            .Resizable(resize => resize.Columns(true))
            .Reorderable(reorder => reorder.Columns(true))
            .Filterable()
           .DataSource(dataSource => dataSource
            .Ajax()
            .PageSize(20)
            .Read(read => read.Action("Accounts_Read", "Home")))
            .Events(events => events
                .DataBound("onDataBound"))
)

<script type="text/javascript">


    var isStateLoad = false;
    function onDataBound(arg) {
        console.log("Grid data bound");
        if (!isStateLoad) {
            var grid = $("#grid").data("kendoGrid");
            var options = localStorage["Accounts-grid-options"];
            if (options) {
                grid.setOptions(JSON.parse(options));
            }
            isStateLoad = true;
        }
    }

   
    $(document).ready(function () {
        var grid = $("#grid").data("kendoGrid");
        $("#save").click(function (e) {
            e.preventDefault();
            localStorage["Accounts-grid-options"] = kendo.stringify(grid.getOptions());
        });

    });
</script>